KDE Namespace Reference

## Functions

unsigned int | version ()
unsigned int | versionMajor ()
unsigned int | versionMinor ()
unsigned int | versionRelease ()
const char * | versionString ()
int | getaddrinfo (const char *name, const char *service, const struct addrinfo *hint, struct addrinfo **result)
void | freeaddrinfo (struct addrinfo *ai)
char * | gai_strerror (int errorcode)
int | getnameinfo (const struct sockaddr *sa, unsigned int salen, char *host, size_t hostlen, char *serv, size_t servlen, int flags)
int | inet_pton (int af, const char *cp, void *buf)
const char * | inet_ntop (int af, const void *cp, char *buf, size_t len)

## Variables

const int KDE_EXPORT | resolverFlags = KRF_getaddrinfo | KRF_resolver | KRF_afinet6 | KRF_inet_ntop | KRF_inet_pton

## Detailed Description

Namespace for general KDE functions.

## Function Documentation

unsigned int KDE::version | ( |  | ) |

Returns the encoded number of KDE's version, see the KDE_VERSION macro.

In contrary to that macro this function returns the number of the actully installed KDE version, not the number of the KDE version that was installed when the program was compiled.

Returns
  the version number, encoded in a single uint

Since
  3.2

Definition at line 22 of file kdeversion.cpp.

unsigned int KDE::versionMajor | ( |  | ) |

Returns the major number of KDE's version, e.g.

3 for KDE 3.1.2.

Returns
  the major version number

Since
  3.1

Definition at line 27 of file kdeversion.cpp.

unsigned int KDE::versionMinor | ( |  | ) |

Returns the minor number of KDE's version, e.g.

1 for KDE 3.1.2.

Returns
  the minor version number

Since
  3.1

Definition at line 32 of file kdeversion.cpp.

unsigned int KDE::versionRelease | ( |  | ) |

Returns the release of KDE's version, e.g.

2 for KDE 3.1.2.

Returns
  the release number

Since
  3.1

Definition at line 37 of file kdeversion.cpp.

const char * KDE::versionString | ( |  | ) |

Returns the KDE version as string, e.g.

"3.1.2".

Returns
  the KDE version. You can keep the string forever

Since
  3.1

Definition at line 42 of file kdeversion.cpp.

KDE Home | KDE Accessibility Home | Description of Access Keys